:root {
  --color-gray-light-1: #f8f8f8;
  --color-gray-light-2: #e9e9e9;
  --color-gray-light-3: #dedede;
  --color-gray-dark-1: #64748b /*#545454*/;
  --color-gray-dark-2: #737373;
  --color-gray-dark-3: #9a9a9a;
  --color-blue-dark-1: #00387f;
  --color-tiffany: rgba(119, 51, 255, 0.8) /*#00a6a6*/;
  --color-black-dark-1: #334155;
  --color-black-dark-2: #334155;
  --color-light-label: #f1f5f9;
  --color-dot1: #cbd5e1;
  --profile-theme: rgba(119, 51, 255, 0.8); /*#0E8388#4682bf*/
  --timeline-circle-theme: #14253e;

  --pgbar-length: 100%;

  --MATH-PI: 3.1415px;
  --percent: 100;
}

ul {
  padding: 0;
  margin: 0;
  list-style: none;
}
li {
  list-style: none;
  margin: 5px 0px;
}

.mid-list {
}

.fa-square {
  color: var(--color-dot1);
  margin-right: 5px;
}

html {
  font-size: 100%;
  font-family: "PT Sans", sans-serif;
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 3rem 1rem;
  min-height: 100vh;
  background-color: var(--color-gray-light-3);
}

.wrapper {
  margin: 0 auto;
  max-width: 70rem;
  background-color: var(--color-gray-light-2);
  display: flex;
  box-shadow: 0px 0px 15px 4px #b3b3b3;
}

.intro {
  flex: 0 0 250px;
  background-color: var(--color-gray-light-1);
  box-shadow: 5px 0px 15px 0px #b3b3b3;
  z-index: 5;
}
.profile {
  position: relative;
  background-color: var(--profile-theme);
  padding: 2rem 1rem;
  margin-bottom: 50px;
  text-align: center;
  user-select: none;
}
.profile::after {
  content: " ";
  position: absolute;
  left: 0;
  bottom: -15px;
  width: 100%;
  height: 30px;
  background-color: var(--profile-theme);
  transform: skewY(-5deg);
}
.photo img {
  width: 80%;
  border-radius: 50%;
}
.bio .name {
  font-size: 1.8rem;
  text-align: center;
  color: var(--color-gray-light-1);
  margin: 0;
  margin-top: 1rem;
}
.bio .profession {
  font-size: 1.5rem;
  text-align: center;
  color: var(--color-gray-light-1);
  margin: 0;
}

.intro-section {
  padding: 0 1rem;
  /* color: var(--color-gray-dark-1); */
  color: var(--color-black-dark-1);
}
.intro-section .title {
  font-size: 1.2rem;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 1px;
}
.about .paragraph {
  text-align: justify;
}
.info-section {
  margin: 1rem 0;
}
.info-section span {
  position: relative;
  transition: all 0.3s;
}
.info-section i {
  color: var(--profile-theme);
  width: 20px;
  height: 20px;
}

.link a {
  text-decoration: none;
  color: inherit;
}

.link span::after {
  position: absolute;
  content: "";
  left: 50%;
  bottom: -3px;
  width: 0;
  height: 2px;
  background-color: var(--profile-theme);
  transition: width 0.3s;
  /*transition-timing-function: cubic-bezier(.64,.51,.16,.86);*/
  transition-timing-function: cubic-bezier(0.92, 0.57, 0.33, 1.02);
  transform: translate(-50%, 0);
}

.link .make_underline:hover {
  color: var(--profile-theme);
}
.link .make_underline:hover::after {
  width: 100%;
}

/* Detail section overall setting*/
.detail {
  flex: 1 0 0;
  background-color: white;
  padding: 2rem;
  color: var(--color-black-dark-2);
}
.detail:hover > .detail-section:not(:hover) {
  opacity: 0.3;
}
.detail-section {
  transition: all 0.3s;
}
.detail-section:not(:last-of-type) {
  padding-bottom: 1.5rem;
}
.detail-title {
  display: flex;
  align-items: center;
}
.detail-section > .detail-content {
  padding: 1.5rem;
  padding-left: 2rem;
  user-select: none;
}
.detail-section.edu > .detail-content {
  padding-left: calc(1.5rem + 10px);
}

.title-icon + span {
  font-size: 1.5rem;
  transition: all 0.3s;
}
.title-icon {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  margin-right: 1rem;
  width: 2.5rem;
  height: 2.5rem;
  background-color: var(--profile-theme);
  border-radius: 50%;
  transition: all 0.3s;
}
.title-icon i {
  color: white;
  line-height: 1rem;
  font-size: 1rem;
  text-align: center;
}
.detail-section:hover .title-icon {
  transform: scale(1.5);
  margin-right: 1.5rem;
}
.detail-section:hover .title-icon + span {
  letter-spacing: 1.5px;
}

/* time line block in education section */
.timeline-block {
  position: relative;
  padding-left: 30px;
}
.timeline-block:not(:last-of-type) {
  margin-bottom: 1.5rem;
}
.timeline-block h1 {
  color: var(--color-black-dark-1);
  font-size: 1.1rem;
  margin: 5px 0;
  transition: all 0.3s;
}
.timeline-block p {
  font-size: 1rem;
  margin: 5px 0;
}
.timeline-block time {
  font-size: 1rem;
  color: var(--color-gray-dark-2);
}
.timeline-block::before {
  position: absolute;
  content: "";
  width: 15px;
  height: 15px;
  background-color: white;
  border: 3px solid var(--timeline-circle-theme);
  border-radius: 50%;
  left: -10px;
  top: -5px;
}
.timeline-block::after {
  position: absolute;
  content: "";
  width: 3px;
  height: 102%;
  background-color: var(--timeline-circle-theme);
  left: -1px;
  top: 13px;
}
.timeline-block:hover h1 {
  color: var(--color-tiffany);
}
.timeline-block:hover::before {
  animation: circle 1.2s infinite;
}

/* Programming skills section */
.pg-list,
.tool-list,
.favor-list {
  padding: 0;
  list-style: none;
}
.pg-list > li {
  margin: 1rem 0 0 0;
  display: flex;
  align-items: center;
}
.sb-skeleton {
  position: relative;
  flex: 1 0 auto;
  height: 2px;
  background-color: var(--color-gray-dark-3);
}
.pg-list > li > span {
  flex: 0 0 120px;
}
.sb-skeleton > .skillbar {
  position: absolute;
  left: 0;
  top: -1px;
  width: var(--pgbar-length);
  height: 4px;
  background-color: var(--profile-theme);
}
.tool-list {
  list-style: none;
  display: flex;
  justify-content: space-between;
}
.tool-list > li {
  position: relative;
  text-align: center;
  flex: 0 0 25%;
}
.tool-list > li > svg {
  position: relative;
  fill: transparent;
  width: 95%;
  transform: rotate(-90deg);
}
.tool-list > li > svg > circle {
  stroke-width: 1px;
  stroke: #cdcdcd;
}
.tool-list > li > svg > circle.cbar {
  stroke-width: 3px;
  stroke: var(--profile-theme);
  stroke-linecap: round;
  stroke-dashoffset: 0;
  stroke-dasharray: calc(var(--MATH-PI) * 45 * 2);
  transition: all 0.8s;
  transition-timing-function: cubic-bezier(0.64, 0.51, 0.16, 0.86);
}
.tool-list > li:hover > svg > circle.cbar {
  stroke-width: 4px;
  stroke: var(--color-tiffany);
  stroke-dashoffset: calc(var(--MATH-PI) * 45 * 2 * (1 - var(--percent)));
}
.tool-list > li > .tl-name,
.tool-list > li > .tl-exp {
  position: absolute;
  left: 50%;
  color: var(--color-gray-dark-1);
}
.tool-list > li > .tl-name {
  top: 50%;
  font-size: 1.2rem;
  transform: translate(-50%, -50%);
}
.tool-list > li > .tl-exp {
  top: calc(50% + 1.4rem);
  font-size: 1rem;
  transform: translate(-50%, -50%);
}
/* Interests Section */
.outer-frame {
  border: 1px solid var(--color-gray-dark-3);
  border-radius: 5px;
}
.favor-list {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  align-content: center;
}
.favor-list > li {
  display: flex;
  flex: 1 0 0;
  align-items: center;
  justify-content: baseline;
  flex-direction: column;
  color: var(--profile-theme);
  padding: 1rem 0;
  transition: all 0.3s;
}
.favor-list > li > i {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  width: 50px;
  height: 50px;
}
.favor-list > li:hover {
  transform: scale(1.2);
  color: var(--color-tiffany);
}
.favor-list > li > span {
  letter-spacing: 1px;
}

/*contact 이메일 부분*/
.info-section-display {
  display: block;
}

.info-section-display .icon-display {
  margin-right: 15px;
}

.style-flex {
  display: flex;
}

.style-flex:nth-child(1) {
  flex-grow: 1;
}
.style-flex:nth-child(2) {
  flex-grow: 1;
}

/***수정 부분***/
/**/
.pg-skill .detail-content .detail-content-mid {
  margin-bottom: -1rem;
  width: 50%;
}

.pg-skill .detail-content .detail-content-mid .mid-name {
  color: var(--color-gray-dark-1);
  font-weight: 300;
  font-size: 1rem;
}

.pg-skill .detail-content .detail-content-mid .low-name {
  background-color: var(--color-light-label);
  margin-right: 20px;
}

.pg-skill .detail-content .detail-content-mid span {
  color: var(--color-gray-dark-1);
  font-weight: 600;
  font-size: 1rem;
}

.pg-skill .detail-content .detail-content-mid h1 {
  font-weight: 600;
  font-size: 1.1rem;
  margin: 5px 0;
  transition: all 0.3s;
  color: var(--color-black-dark-1);
}

.pg-skill .detail-content .detail-content-mid:hover h1 {
  color: var(--color-tiffany);
}

.detail-content-midname {
  font-weight: 600;
  margin-top: 5px;
  margin-botton: 5px;
}

.detail-content-date {
  padding-right: 15px;
}

.detail-content-ul {
  padding: 0 15px;
}

.style-bold {
  font-weight: 600;
}

.non-bold {
  font-weight: 500;
}

.no-underline-link {
  color: var(--color-black-dark-2);
  text-decoration-line: none;
}

.no-underline-link:hover {
  color: rgba(119, 51, 255, 0.7);
}

.underline-link {
  color: var(--color-black-dark-2);
  text-decoration-line: underline;
  text-decoration-thickness: 4px;
  text-decoration-color: rgba(119, 51, 255, 0.18);
}

.underline-link:hover {
  color: rgba(119, 51, 255, 0.7);
}

.stack-btn {
  margin: 3px 0;
  display: flex;
  flex-wrap: wrap;
}

.stack-btn li {
  font-weight: 600;
  font-size: 0.9rem;
  margin: 0 0 5px 10px;
  padding: 4px 7px;
  border-radius: 5px;
  color: var(--color-gray-dark-1);
  background-color: var(--color-light-label);
}

ul > li {
  padding-bottom: 0.2rem;
}

.margin-cut li {
  margin-top: 0rem;
}

.hilight {
  /* font-weight: 600; */
  font-style: italic;
}

.underline {
  text-decoration-line: underline;
}

.make_interval li {
  margin-top: 3px;
}

@keyframes circle {
  0% {
    box-shadow: 0 0 0 0px rgba(51, 52, 57, 1);
  }
  100% {
    box-shadow: 0 0 0 6px rgba(51, 52, 57, 0);
  }
}

@media (max-width: 1024px) {
  html {
    font-size: 90%;
  }
  .wrapper {
    flex-direction: column;
  }
  .intro,
  .detail {
    flex: 0 0 100%;
    box-shadow: none;
  }
  .intro-section {
    padding: 0 2rem;
  }
  .profile {
    margin-bottom: 1rem;
  }
  .profile::after {
    display: none;
  }
  .photo img {
    width: 100px;
    height: 100px;
  }
  .pg-skill .detail-content .detail-content-mid .low-name {
    background-color: var(--color-light-label);
    flex: 0 0 80px;
    margin-right: 10px;
  }
  .info-section-display {
    display: flex;
  }
}

@media (max-width: 768px) {
  html {
    font-size: 80%;
  }
  .tool-list {
    flex-wrap: wrap;
  }
  .tool-list > li {
    flex: 0 0 33.33%;
  }
  .favor-list > li {
    flex: 0 0 33.3333%;
  }
}
@media (max-width: 500px) {
  html {
    font-size: 70%;
  }
  .pg-skill .detail-content .detail-content-mid .low-name {
    background-color: var(--color-light-label);
    flex: 0 0 50px;
  }
  .info-section-display {
    display: block;
  }

  .style-flex {
    display: block;
  }

  .pg-skill .detail-content .detail-content-mid {
    width: 100%;
  }
}

@media screen and (min-width: 1025px) {
  .paragraph {
    width: 13rem;
  }
}

.code-style {
  padding: 2px;
  background-color: var(--color-gray-light-2);
  border-radius: 5px;
}

